Podręcznik PHP
Poprzedni |  | Następny

# DOMElement->setAttribute()

DOMElement->setAttribute() -- Adds new attribute

## Opis

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name name to the given value. If the attribute does not exist, it will be created.

## Parametry

name

  The name of the attribute.

value

  The value of the attribute.

## Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## Wyjątki

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Przykłady

Przykład 1. Setting an attribute
`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## Patrz także

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

Poprzedni | Spis treści | Następny
DOMElement->removeAttributeNS() | Początek rozdziału | DOMElement->setAttributeNode()